> ## Documentation Index
> Fetch the complete documentation index at: https://developer.novacpayment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a bank transaction



## OpenAPI

````yaml get /api/v1/transfers/{reference}
openapi: 3.0.1
info:
  title: NOVAC API
  version: v1
servers:
  - url: https://api.novacpayment.com/
security:
  - Bearer: []
paths:
  /api/v1/transfers/{reference}:
    get:
      tags:
        - Payout
      parameters:
        - name: reference
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTransferStatusSuccesResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTransferStatusFailureResponse'
components:
  schemas:
    GetTransferStatusSuccesResponse:
      type: object
      additionalProperties: false
      example:
        success: true
        message: Transfer retrieved
        data:
          id: '0'
          sessionId: string
          reference: string
          currency: NGN
          amount: 0
          fee: 0
          bankCode: string
          bankName: string
          accountNumber: string
          accountName: string
          narration: string
          domain: test | live
          status: pending | successful | failed
          providerResponseMessage: Transaction successful
          updatedAt: string
          createdAt: string
    GetTransferStatusFailureResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
          nullable: true
        data:
          nullable: true
      additionalProperties: false
      example:
        success: false
        message: Transaction record not found
        data: string
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        Input your Bearer token in this format - Bearer {your token here} to
        access this API
      name: Authorization
      in: header

````